# Class `Objects.Sink`

Sink

## Functions

Sink:GetPosition() | Get the sink's position
Sink:SetPosition(position) | Set the sink's position
Sink:GetName() | Get the sink's unique string identifier e.g.
Sink:SetName(name) | Set the sink's name (its unique string identifier)
Sink:GetStrength() | Get the sink's strength
Sink:SetStrength(strength) | Set the strength of the sink Higher numbers provide stronger currents.

## Functions

Sink:GetPosition()
  Get the sink's position

  ### Returns:

  Vec3 a copy of the sink's position
Sink:SetPosition(position)
  Set the sink's position

  ### Parameters:

  - position Vec3 the new position of the sink
Sink:GetName()
  Get the sink's unique string identifier e.g. "strong_river_current" or "propeller_death_sink"

  ### Returns:

  string the sink's name
Sink:SetName(name)
  Set the sink's name (its unique string identifier)

  ### Parameters:

  - name string The sink's new name
Sink:GetStrength()
  Get the sink's strength

  ### Returns:

  int the sink's current strength
Sink:SetStrength(strength)
  Set the strength of the sink Higher numbers provide stronger currents. Will be clamped to [1, 32].

  ### Parameters:

  - strength int The sink's new strength

generated by TEN-LDoc (a fork of LDoc 1.4.6)